# Get-RASTenant.md

## NAME

Get-RASTenant

## SYNOPSIS

Retrieves information about one or multiple Tenants.

## SYNTAX

**Get-RASTenant** -[Id](#id-string) *(uint)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

**Get-RASTenant** \[[Name](#name-string) *(string)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Retrieves information about one or multiple Tenants.

## PARAMETERS

## Name (string)

Tenant name.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Id (uint)

Tenant ID.

```
        Required?                    true

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

[Tenant](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/tenant.md)

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Get-RASTenant -Name "Tenant 1"

Gets a Tenant Broker with name "Tenant 1".

## RELATED LINKS

* [New-RASTenant](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/new-rastenant.md)
* [Set-RASTenant](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rastenant.md)
* [Remove-RASTenant](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rastenant.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rastenant.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
